Risultati da 1 a 6 di 6

Discussione: due domande sui colori

  1. #1
    Moderatore SolidEdge L'avatar di cacciatorino
    Iscritto dal
    2007
    Messaggi
    9339
    Professione
    Ingegnere meccanico
    Regione
    Porto Recanati, ma con l'appennino nel cuore
    Software
    SolidEdge CoCreate Salome-Meca

    Predefinito due domande sui colori

    la prima:

    avendo un par colorato con vari colori, come faccio a sapere come si chiamano i vari colori usati su ogni faccia (mi serve per colorare con le stesse tinte degli altri par).

    la seconda:

    Se ho degli assembly con i vari par che lo compongono che mantengono i colori assegnati in ambiente par (strumenti-->getione colore--> mostra e consenti sostituzione stili di assieme DESELEZIONATO), nel momento in cui inserisco una feature d'assieme perdo tutti i colori dei par che vengono sovrascritti con il colore dell'assembly. Lo scopo sarebbe invece di avere le parti di un colore e le feature d'assieme di un altro colore cosi' il fresatore capisce al volo quali sono le superfici grezze e quelle lavorate.

    Ciao.

    Solid Edge V18



    stimarchetti.altervista.org - Progettazione Meccanica

  2. #2
    Utente Junior
    Iscritto dal
    2007
    Messaggi
    51
    Professione
    impiegato
    Regione
    umbria
    Software
    autocad - mechanical

    Predefinito

    Hai per caso trovato la risposta alla prima domanda. Anche a me interessa sta cosa.
    "...tutti i fiumi vanno al mare...eppure il mare non è mai pieno..."

  3. #3
    Moderatore SolidEdge L'avatar di cacciatorino
    Iscritto dal
    2007
    Messaggi
    9339
    Professione
    Ingegnere meccanico
    Regione
    Porto Recanati, ma con l'appennino nel cuore
    Software
    SolidEdge CoCreate Salome-Meca

    Predefinito

    No, nessuna soluzione....



    stimarchetti.altervista.org - Progettazione Meccanica

  4. #4
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2760
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da cacciatorino Visualizza Messaggio
    No, nessuna soluzione....
    Questo si può fare solo con una macro, quando rientro al lavoro ti scrivo due righe.

    ciao
    Francesco
    Cintura nera di solid edge

  5. #5
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    952
    Professione
    disegnatore
    Regione
    Romagna
    Software
    Solid Edge

    Predefinito

    Per la prima: o macro o ti scrivi su un foglio i colori che imposti alle facce :-P

  6. #6
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2760
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Ecco un primo tentativo.

    Far partire come macro all'interno di un file PAR, o lanciarla con un PAR aperto.

    Style.rar

    Se il colore è stato applicato al "corpo" questo non verrà rilevato (ho tolto questa funzione perchè altrimenti mi selezionava per prima cosa tutto il corpo e bisognava usare il quick pick per selezionare una faccia).

    Se il colore proviene da un file importato non viene rilevato (non ho ancora capito dove questa informazione sia memorizzata).

    Codice:
    Dim objApp As SolidEdgeFramework.Application
    Dim objPar As SolidEdgePart.PartDocument
    Dim objFace As Object 'SolidEdgeGeometry.Face
    Dim objStyle As SolidEdgeFramework.FaceStyle
    
    Dim WithEvents objComm As SolidEdgeFramework.Command
    Dim WithEvents objMouse As SolidEdgeFramework.Mouse
    
    Dim objHighlightSets As SolidEdgeFramework.HighlightSets
    Dim objHighlightSet As SolidEdgeFramework.HighlightSet
    
    
    Sub Form_Load()
        
        Me.Hide
        
        Set objApp = GetObject(, "SolidEdge.Application")
        Set objPar = objApp.ActiveDocument
        
        Set objComm = objApp.CreateCommand(2)
        Set objMouse = objComm.Mouse
        objComm.Start
        objMouse.LocateMode = 2         '<-- QuickPick mode
        'objMouse.DynamicsMode = 0
        Call objMouse.ClearLocateFilter
        
        'objMouse.AddToLocateFilter (68) '<-- Body
        objMouse.AddToLocateFilter (32) '<-- Face selection filter
        
    End Sub
    
    
    Private Sub objMouse_MouseUp(ByVal sButton As Integer, ByVal sShift As Integer, ByVal dX As Double, ByVal dY As Double, ByVal dZ As Double, ByVal pWindowDispatch As Object, ByVal lKeyPointType As Long, ByVal pGraphicDispatch As Object)
      ' End the command with RMB
      If sButton = 2 Then
        objComm.Done = True
        If Not (objMouse Is Nothing) Then
           Set objMouse = Nothing
        End If
        End
        Exit Sub
      End If
      
      If Not (pGraphicDispatch Is Nothing) Then
        
        If pGraphicDispatch.Type = igFace Then
            If Not (pGraphicDispatch.Style Is Nothing) Then
                Set FaceStyle = pGraphicDispatch.Style
            Else
                Set FaceStyle = pGraphicDispatch.Parent.GetStyle
            End If
        Else
            Set FaceStyle = pGraphicDispatch.Style
        End If
      
        If Not (FaceStyle Is Nothing) Then
        
        Set objHighlightSets = objPar.HighlightSets
        Set objHighlightSet = objHighlightSets.Add()
        objHighlightSet.AddItem pGraphicDispatch
        objHighlightSet.Draw
    
        MsgBox FaceStyle.StyleName
    
        objHighlightSet.RemoveAll
        objHighlightSet.Draw
        
        End If
        
      End If
      
    End Sub
    Francesco
    Cintura nera di solid edge


  • Discussioni Simili

    1. Domande su straus7
      Di giovi27 nel forum Straus
      Risposte: 2
      Ultimo Messaggio: 22-02-2010, 23: 07
    2. Differenza fra colori sul monitor e colori stampati
      Di EdgarVillier nel forum Allplan
      Risposte: 5
      Ultimo Messaggio: 23-10-2009, 10: 34
    3. Risposte: 2
      Ultimo Messaggio: 24-04-2009, 13: 20
    4. Domande plottaggio su NX3
      Di NicolaM. nel forum NX (Unigraphics)
      Risposte: 2
      Ultimo Messaggio: 19-01-2009, 10: 33
    5. Tante domande...
      Di luca88 nel forum CATIA V5 vari
      Risposte: 5
      Ultimo Messaggio: 10-12-2008, 15: 13

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti